/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.area.field.explorer;

import com.vividsolutions.jts.geom.MultiPolygon;
import java.awt.datatransfer.Transferable;
import java.beans.IntrospectionException;
import java.io.IOException;
import nl.cloudfarming.client.area.field.FieldLayerObject;
import nl.cloudfarming.client.geoviewer.Layer;
import nl.cloudfarming.client.geoviewer.LayerObjectNode;
import nl.cloudfarming.client.model.DataProvider;
import nl.cloudfarming.client.model.Field;

/**
 *
 * @author Timon Veenstra
 */
public class FieldNode extends LayerObjectNode<MultiPolygon, Field, FieldLayerObject> {

    public FieldNode(Layer layer, FieldLayerObject layerObject, DataProvider dataProvider) throws IntrospectionException {
        super(layer, layerObject, dataProvider);
    }


    @Override
    public Transferable drag() throws IOException {
        return getBean();
    }    

}
